Index: internal-tags.txt
===================================================================
--- internal-tags.txt	(revision 3489)
+++ internal-tags.txt	(working copy)
@@ -62,8 +62,9 @@
 | +mkgmap:way-has-pois+  | +true+ for ways that have at least one point with a tag +access=\*+, +barrier=\*+, or +highway=*+ | 'link-pois-to-ways'
 | +mkgmap:dead-end-check+  | Set to +false+ to disable the dead end check for a specific way | 'report-dead-ends'
 | +mkgmap:flare-check+  | Set to +true+ to force the flare check for a specific way, set to +false+ to disable it | 'check-roundabout-flares'
-| +mkgmap:dir-check+  | Set to +false+ to tell mkgmap to ignore the way when checking roundabouts for clockwise direction | 'check-roundabouts'
-| +mkgmap:no-dir-check+  | Set to +true+ to tell mkgmap to ignore the way when checking roundabouts for clockwise direction | 'check-roundabouts'
+| +mkgmap:dir-check+  | Set to +false+ to tell mkgmap to ignore the way when checking roundabouts for direction | 'check-roundabouts'
+| +mkgmap:no-dir-check+  | Set to +true+ to tell mkgmap to ignore the way when checking roundabouts for direction | 'check-roundabouts'
+| +mkgmap:synthesised+  | Set to +true+ to tell mkgmap that this is an additional way created using the continue statement in an action block and that it it should be excluded from checks | 'check-roundabouts', 'check-roundabout-flares'
     
 |=========================================================
 
Index: rules.txt
===================================================================
--- rules.txt	(revision 3489)
+++ rules.txt	(working copy)
@@ -730,7 +730,7 @@
 that the +highway+ tag could be matched later. If you failed to do this
 then there might be a break in the road for routing purposes.
 
-Note that by default when using the _continue_ statement the action block
+Note that when using the _continue_ statement, the action block
 of the rule (if there is one) will only be applied _within this rule_ and
 not during any following rule matches.  Use the _continue with_actions_
 statement if you want to change this behaviour (see next section).
